.root {
    width: 100%;
    min-width: 100%;
    min-height: 100vh;
    max-width: 100%;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    padding-top: rem(64);
    padding-bottom: rem(24);

    &--zero {
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    @include media-breakpoint-up(md) {
        padding-top: rem(100);
    }

    @include media-breakpoint-up(xl) {
        padding-top: rem(132);
        padding-bottom: rem(32);

        &--zero {
            padding-top: 0;
            padding-bottom: 0;
        }
    }
}

.data-control-visible {

    .root {
        padding-bottom: rem(80);
    }

    @include media-breakpoint-up(md) {

        .root {
            padding-bottom: rem(80);
        }
    }

    @include media-breakpoint-up(lg) {

        .root {
            padding-bottom: rem(32);
        }
    }

    @include media-breakpoint-up(xl) {

        .root {
            padding-bottom: rem(24);
        }
    }
}

.main {
    flex-grow: 1;
    padding: 0 rem(12);
    transition: padding-left .3s;
    display: flex;
    flex-direction: column;

    @include media-breakpoint-up(md) {
        padding-right: rem(16);
        padding-left: rem(132);
    }

    @include media-breakpoint-up(xl) {
        padding-right: rem(32);
        padding-left: rem(164);
    }

    @include media-breakpoint-up(xxl) {
        padding-left: rem(410);
    }
}

.swiper {
    width: 100%;
    height: 100%;

}

.swiper-pagination {
    left: 0;
    right: 0;
    margin: 0;
    padding: 0;
    bottom: rem(16);
    z-index: 100;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: rem(6);
}

.swiper-pagination-bullet {
    cursor: pointer;
    position: relative;
    flex-shrink: 0;
    width: rem(8);
    height: rem(8);
    display: block;
    border-radius: 8px;
    background: rgba(1, 118, 246, 0.2);
    transition: var(--transition-time);

    &:hover {
        background: rgba(1, 118, 246, 1);
        transition: var(--transition-time);
    }
}

.swiper-pagination-bullet-active {
    width: rem(32);
    background: rgba(1, 118, 246, 1);
    transition: var(--transition-time);
}

.main-header {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    column-gap: rem(24);
    row-gap: rem(8);
    margin-bottom: rem(16);

    &__title {
        margin-bottom: 0;

        small {
            font-size: rem(16);
            color: var(--dark);
        }
    }

    &__backward {
        font-size: 0;
        line-height: 0;
        flex-shrink: 0;
        display: flex;
        align-items: center;
        width: rem(36);
        height: rem(46);
        stroke: var(--black);
        transition: var(--transition-time);

        i {
            width: rem(36);
            height: rem(36);
            display: block;
            flex-shrink: 0;
        }

        &:not(:last-child) {
            margin-right: rem(2);
        }

        &:hover {
            stroke: var(--blue);
            transition: var(--transition-time);
        }
    }

    &__subtitle {
        color: #2D2D2D;
        font-size: rem(20);
        line-height: rem(28);
        text-decoration: none;

        &:hover {
            color: #2D2D2D;
            text-decoration: none;
        }
    }

    &__content {
        display: flex;
        align-items: center;
        column-gap: rem(8);
    }

    &--column {

    }

    &--nav {
        column-gap: rem(2);
        align-items: flex-start;
        justify-content: flex-start;
    }

    &--xl {
        display: none;
    }

    &--sm {
        align-items: flex-start;
        flex-direction: column;
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(46);

        &--column {
            align-items: flex-start;
            justify-content: flex-start;
            flex-direction: column;
        }

        &__content {

        }
    }
}

.main-bar {
    margin-bottom: rem(36);
    display: flex;
    flex-direction: column;
    column-gap: rem(24);
    row-gap: rem(24);

    &__group {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: space-between;
        row-gap: rem(24);
        column-gap: rem(24);
    }

    &__label {
        color: #515053;
        font-size: rem(14);
        line-height: rem(20);
        white-space: nowrap;
        width: 100%;

        strong {
            color: #2B2A2B;
            font-weight: 500;
        }
    }

    &__text {
        color: #515053;
        font-size: rem(14);
        line-height: rem(20);
        width: 100%;

        strong {
            color: #2B2A2B;
            font-weight: 500;
        }
    }

    &__item {

        &--md {
            display: none;
        }
    }

    &--lg {
        display: none
    }

    .checkbox__label {
        white-space: nowrap;
    }

    @include media-breakpoint-up(md) {
        min-height: rem(50);
        align-items: center;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: space-between;

        &__group {
            flex-wrap: nowrap;
        }

        &__label {
            width: auto;
        }

        &__item {

            &--sm {
                display: none;
            }

            &--xl {
                margin-left: rem(60);
            }

            &--md {
                display: block;
            }
        }

        &--lg {
            display: block;
        }
    }
}

.line {
    display: none;
    margin-bottom: rem(32);
    border-bottom: 1px solid #E8E8E8;


    @include media-breakpoint-up(md) {
        display: block;
    }
}

.inline-group {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    column-gap: rem(14);
    row-gap: rem(14);
}

.dropdown-menu {
    border: none;
    padding: rem(10);
    border-radius: rem(20);
    box-shadow: var(--shadow);

}

.badge-change {
    height: rem(16);
    padding: rem(1) rem(6);
    color: var(--blue);
    font-size: rem(13);
    line-height: rem(13);
    white-space: nowrap;
    border-radius: rem(20);
    border: 1px solid var(--blue);
    align-items: center;
    display: inline-flex;
    justify-content: center;

    &:not(:first-child) {
        margin-left: rem(4);
    }
}

.checkbox-button {
    display: block;
    cursor: pointer;
    overflow: hidden;
    font-weight: 400;
    font-size: rem(14);
    line-height: rem(20);
    position: relative;

    input {
        top: 0;
        left: 0;
        width: 0;
        height: 0;
        font-size: 0;
        line-height: 0;
        overflow: hidden;
        position: absolute;

        &:checked + .checkbox-button__content {

            i {
                background: var(--blue);
                border-color: var(--blue);

                &:after {
                    opacity: 1;
                    visibility: visible;
                }
            }
        }
    }

    &__content {
        background: white;
        min-height: rem(38);
        border-radius: rem(4);
        padding: rem(8) rem(12);
        transition: var(--transition-time);
        display: flex;
        align-items: center;
        column-gap: rem(10);

        &:hover {
            background: #F7F7F7;
            transition: var(--transition-time);
        }

        i {
            font-size: 0;
            line-height: 0;
            display: block;
            flex-shrink: 0;
            width: 18px;
            height: 18px;
            position: relative;
            border-radius: 4px;
            border: 2px solid #E5E5E5;

            &:after {
                top: -2px;
                left: -2px;
                z-index: 5;
                content: '';
                width: 18px;
                height: 18px;
                position: absolute;
                background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0nMTYnIGhlaWdodD0nMTYnIHZpZXdCb3g9JzAgMCAxNiAxNicgZmlsbD0nbm9uZScgeG1sbnM9J2h0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnJz48cGF0aCBkPSdNMy4zMzMzNyA4LjAwMDA4TDYuNjY2NzEgMTEuMzMzNEwxMy4zMzM0IDQuNjY2NzUnIHN0cm9rZT0nd2hpdGUnIHN0cm9rZS13aWR0aD0nMS41JyBzdHJva2UtbGluZWNhcD0ncm91bmQnIHN0cm9rZS1saW5lam9pbj0ncm91bmQnLz48L3N2Zz4=");
                background-position: 50% 50%;
                background-repeat: no-repeat;
                background-size: cover;
                opacity: 0;
                visibility: hidden;
            }
        }

        span {
            display: block;
        }
    }
}

.ql-editor {
    min-height: rem(270);
}

.editor {
    background: white;
    border-radius: rem(6);
    box-shadow: 0px 0px 25px 0px rgba(18, 20, 23, 0.06);

    .ql-toolbar.ql-snow {
        border: none;
        border-radius: rem(6) rem(6) 0 0;
        box-shadow: 0px 0px 25px 0px rgba(18, 20, 23, 0.06);
    }

    .ql-container.ql-snow {
        border: none;
    }

    .ql-editor {
        font-size: rem(14);
        color: rgb(127, 127, 127);
    }
}

.category-group {

    &__item {

        &:not(:last-child) {
            padding-bottom: rem(16);
            border-bottom: 1px solid #E8E8E8;
        }

        &:not(:first-child) {
            padding-top: rem(16);
        }
    }
}

.category-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    column-gap: rem(30);

    &__title {
        flex-grow: 1;
        font-size: rem(14);
        line-height: rem(20);
    }

    &__data {
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }

    &__buttons {
        display: flex;
        align-items: center;
        justify-content: flex-end;
        column-gap: rem(12);
    }
}

.form-inline {

    @include media-breakpoint-up(md) {
        display: flex;
        align-items: center;
        column-gap: rem(8);

        .form-label {
            margin-bottom: 0;
            width: rem(110);
            flex-shrink: 0;
        }
    }
}

.scale {
    display: flex;
    flex-direction: column;
    row-gap: rem(4);

    &__content {
        display: flex;
        align-items: flex-end;
        justify-content: flex-end;
        column-gap: rem(6);
    }

    &__label {
        color: #8C8C8C;
        font-size: rem(13);
        line-height: rem(20);
    }

    &__value {
        font-size: rem(16);
        line-height: rem(24);
    }

    &__line {
        height: 4px;
        overflow: hidden;
        border-radius: 2px;
        position: relative;
        background: #EDEDED;
    }

    &__progress {
        top: 0;
        left: 0;
        bottom: 0;
        border-radius: 2px;
        position: absolute;
        background: var(--blue);
    }
}

.add-item {
    border: none;
    outline: none;
    color: var(--gray-dark);
    padding: rem(4) 0;
    min-height: rem(48);
    cursor: pointer;
    text-decoration: none;
    background: transparent;
    transition: var(--transition-time);
    display: flex;
    align-items: center;
    column-gap: rem(10);

    i {
        display: block;
        width: rem(36);
        height: rem(36);
        flex-shrink: 0;
        border-radius: 50%;
        position: relative;
        background: rgba(1, 118, 246, 0.1);

        &:after,
        &:before {
            width: 12px;
            height: 2px;
            content: '';
            border-radius: 2px;
            position: absolute;
            top: calc(50% - 1px);
            left: calc(50% - 6px);
            background: var(--blue);
        }

        &:after {
            transform: rotate(90deg);
        }
    }

    &:hover {
        color: var(--black);
        text-decoration: none;
        transition: var(--transition-time);
    }
}

.gray-line {
    height: 1px;
    background: #F6F6F6;
}

.aliases-block {
    padding: rem(30);
    border-radius: rem(20);
    background-color: white;
    margin-bottom: rem(60);
    display: flex;
    row-gap: rem(12);
    column-gap: rem(16);
    flex-direction: column;

    &__divider {
        width: rem(30);
        height: rem(30);
        flex-shrink: 0;
        display: block;
        margin: 0 auto;
        transform: rotate(90deg);
    }

    &__button {
        min-width: rem(180);
        padding-top: rem(12);

        .btn {
            min-height: rem(48);
        }
    }

    @include media-breakpoint-up(md) {
        margin-bottom: rem(80);
    }

    @include media-breakpoint-up(lg) {
        flex-direction: row;
        align-items: flex-end;
        justify-content: space-between;

        &__divider {
            margin: 0 0 rem(9) 0;
            transform: rotate(0deg);
        }

        &__field {
            flex-grow: 1;
        }

        &__button {
            padding-left: rem(16);
        }
    }
}

.icon-arrow {
    width: 14px;
    height: 14px;
    font-size: 0;
    line-height: 0;
    display: block;
    flex-shrink: 0;
}

.white-block {
    margin-bottom: 16px;

    &__form {
        display: grid;
        grid-row-gap: rem(16);
        grid-column-gap: rem(20);
        grid-template-columns: 1fr;
    }

    @include media-breakpoint-up(md) {
        padding: rem(30);
        border-radius: rem(20);
        background-color: white;
        margin-bottom: 40px;
    }


    @include media-breakpoint-up(lg) {


        &__form {
            grid-template-columns: 1fr 1fr rem(180);
        }

        &__button {
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
        }
    }

    @include media-breakpoint-up(xl) {
        margin-bottom: 80px;

        &__form {
            grid-template-columns: 1fr 1fr rem(240);
        }
    }
}

.history {

    &__content {
        display: none;
    }

    &.history-view {

        .history {

            &__toggle {
                display: none;
            }

            &__content {
                display: block;
            }
        }
    }

    @include media-breakpoint-up(xl) {

        &__content {
            display: block;
        }

        &__control {

        }

        &__toggle {
            display: none;
        }
    }
}

.custom-data {
    color: #2D2D2D;
    font-size: rem(16);
    line-height: rem(22);
    text-decoration: none;
    display: flex;
    column-gap: rem(8);
    align-items: center;
    transition: var(--transition-time);

    &__text {
        display: block;
    }

    &__num {
        color: var(--blue);
        padding: 2px 4px;
        border-radius: 10px;
        border: 1px solid var(--blue);
        display: flex;
        font-size: 13px;
        line-height: 13px;
        align-items: center;
    }

    &:hover {
        color: var(--blue);
        text-decoration: none;
        transition: var(--transition-time);
    }
}

.custom-data-list {
    font-size: rem(14);
    line-height: rem(20);
    display: flex;
    row-gap: rem(8);
    flex-direction: column;
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}
